process.chdir(__dirname);

const fs = require('fs');

const config = require('komodo-sdk/config');

global.KOMODO_LOG_LABEL = `KOMODO-CENTER@${(config && typeof config.name === 'string') ? config.name.toUpperCase() : 'SMS'}`;
process.title = global.KOMODO_LOG_LABEL;

const logger = require('tektrans-logger');

global.KOMODO_LOGGER = logger;

const messagingClient = require('komodo-center-messaging-client-lib');
const transport = require('./lib/transport');

messagingClient.setTransport(transport);

fs.writeFileSync('pid.txt', process.pid.toString());
